summaryrefslogtreecommitdiffstats
path: root/libraries/qt5-webkit-annulen
diff options
context:
space:
mode:
author Dave Woodfall2017-12-31 16:49:07 +0100
committer Willy Sudiarto Raharjo2018-01-06 00:55:06 +0100
commit0cf2e29c2225e5020d5d6fdbbaf3a316c533c8d2 (patch)
treeb2746a2cc99684532d1f3fcfd4ab204bc8b7dd7d /libraries/qt5-webkit-annulen
parentd7ca20fba5fc22f43d52225b4fe72a4dd5298c2f (diff)
downloadslackbuilds-0cf2e29c2225e5020d5d6fdbbaf3a316c533c8d2.tar.gz
libraries/qt5-webkit-annulen: Added (annulen's fork of qt5-webkit.)
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/qt5-webkit-annulen')
-rw-r--r--libraries/qt5-webkit-annulen/README11
-rw-r--r--libraries/qt5-webkit-annulen/qt5-webkit-annulen.SlackBuild105
-rw-r--r--libraries/qt5-webkit-annulen/qt5-webkit-annulen.info10
-rw-r--r--libraries/qt5-webkit-annulen/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/qt5-webkit-annulen/README b/libraries/qt5-webkit-annulen/README
new file mode 100644
index 0000000000..8824621244
--- /dev/null
+++ b/libraries/qt5-webkit-annulen/README
@@ -0,0 +1,11 @@
+qt5-webkit-annulen (annulen's fork of the Qt based web browser engine)
+
+Qtwebkit is a Qt based web browser engine.
+
+This package contains a fork of the Qt5 based version, with many bug
+and security fixes. This is an optional backend for the Qutebrowser web
+browser.
+
+Please note, this clashes with qt5-webkit.
+
+Optional dependency: libwebp
diff --git a/libraries/qt5-webkit-annulen/qt5-webkit-annulen.SlackBuild b/libraries/qt5-webkit-annulen/qt5-webkit-annulen.SlackBuild
new file mode 100644
index 0000000000..0f296ba7de
--- /dev/null
+++ b/libraries/qt5-webkit-annulen/qt5-webkit-annulen.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Derived from the qt5.SlackBuild
+
+# Modifications for qt5-webkit 5.6.0, 5.6.1, 5.7.0, 5.7.1, 5.9.0, 5.9.1 2016,2017 by Eric Hameleers, Eindhoven, NL
+# Modified for the fork of qt5-webkit by annulen by David Woodfall.
+
+PRGNAM=qt5-webkit-annulen
+VERSION=${VERSION:-5.212.0_alpha2}
+SRCVERSION=${VERSION/_/-}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf qtwebkit-$SRCVERSION
+tar xfv $CWD/qtwebkit-$SRCVERSION.tar.xz
+cd qtwebkit-$SRCVERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export QTDIR="/usr/lib$LIBDIRSUFFIX/qt5"
+export LD_LIBRARY_PATH="${QTDIR}/qtbase/lib:${QTDIR}/qttools/lib:${LD_LIBRARY_PATH}"
+
+mkdir -p build
+cd build
+ cmake \
+ -DPORT=Qt \
+ -DQt5_DIR=$QTDIR \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.LGPLv21 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/qt5-webkit-annulen/qt5-webkit-annulen.info b/libraries/qt5-webkit-annulen/qt5-webkit-annulen.info
new file mode 100644
index 0000000000..d8d40a223e
--- /dev/null
+++ b/libraries/qt5-webkit-annulen/qt5-webkit-annulen.info
@@ -0,0 +1,10 @@
+PRGNAM="qt5-webkit-annulen"
+VERSION="5.212.0_alpha2"
+HOMEPAGE="https://github.com/annulen/webkit"
+DOWNLOAD="https://github.com/annulen/webkit/releases/download/qtwebkit-5.212.0-alpha2/qtwebkit-5.212.0-alpha2.tar.xz"
+MD5SUM="301dd0192b1d7ce0edd75c214706e257"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5 hyphen"
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/libraries/qt5-webkit-annulen/slack-desc b/libraries/qt5-webkit-annulen/slack-desc
new file mode 100644
index 0000000000..2c2fe150d2
--- /dev/null
+++ b/libraries/qt5-webkit-annulen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qt5-webkit-annulen: qt5-webkit-annulen (annulen's fork of the Qt based web browser engine)
+qt5-webkit-annulen:
+qt5-webkit-annulen: Qtwebkit is a Qt based web browser engine.
+qt5-webkit-annulen:
+qt5-webkit-annulen: This package contains a fork of the Qt5 based version, with many bug
+qt5-webkit-annulen: and security fixes.
+qt5-webkit-annulen:
+qt5-webkit-annulen: This is an optional backend for the Qutebrowser web browser.
+qt5-webkit-annulen:
+qt5-webkit-annulen: https://github.com/annulen/webkit
+qt5-webkit-annulen: